export declare enum KnownMediaType {
    Json = "json",
    Xml = "xml",
    Form = "form",
    Binary = "binary",
    Multipart = "multipart",
    Text = "text",
    Unknown = "unknown"
}
export declare enum FormatType {
    QueryParameter = "-query-parameter-",
    UriParameter = "-uri-parameter-",
    Header = "-header-",
    Cookie = "-cookie-"
}
export declare function parseMediaType(mediaType: string): {
    type: string;
    subtype: string;
    suffix: string;
    parameter: string;
} | undefined;
export declare function knownMediaType(mediaType: string): KnownMediaType;
export declare function normalizeMediaType(contentType: string): string | undefined;
export declare function isMediaTypeJson(mediaType: string): boolean;
export declare function isMediaTypeXml(mediaType: string): boolean;
export declare function isMediaTypeMultipartFormData(mediaType: string): boolean;
//# sourceMappingURL=media-types.d.ts.map